Download it now!
Bug 30946 - Spreadsheet - Selection for data validity will not work
Summary: Spreadsheet - Selection for data validity will not work
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: highest blocker
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-17 21:51 UTC by Rainer Bielefeld Retired
Modified: 2010-12-01 16:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (20.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-10-17 22:22 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2010-10-17 21:51:33 UTC
I checked with LibreOffice 3.3.0  -  WIN XP DE [OOO330m9 (Build:1 - build 3.2.99.2)] 

I have documents created with OOo containing a data validity check (menu 'Data ->Validity'
Criteria list is created with formula: to get a continuous data range for creteria, the allowed values from many places in the document are gathered to a central cell range list with '=A1' formulas.
In my spreadsheet input fields validity of input data will be checked with tat data range. That worked fine with OOo, but pulldown in LibO only shows "Err:504", and manual input with correct data will be rejected.

NOT Reproducible with "Ooo-Dev 3.3.0 multilingual version English UI WIN XP: [OOo330m10 (Build 9533)]"!

I will contribute a sample document soon.
Comment 1 Kohei Yoshida 2010-10-17 21:56:11 UTC
Yup, this is mine.
Comment 2 Rainer Bielefeld Retired 2010-10-17 22:22:35 UTC
Created attachment 39496 [details]
Sample document

Ro reproduce, pls. open document and try to insert data into sheet "Reparatur_Erforderlich" cell B3
Comment 3 jmpierre 2010-10-20 09:49:46 UTC
comportement identique avec LibO en français : erreur 504
Comment 4 sophie 2010-10-20 10:19:46 UTC
(In reply to comment #3)
> comportement identique avec LibO en français : erreur 504

Translation: the same is happening with LibO in French: error 504 is reported - Sophie
Comment 5 Kohei Yoshida 2010-10-21 08:54:36 UTC
Just fixed Bug 30882, which may have fixed this one also.  I no longer see the problem reported here.  Entering an invalid value into B3 launches the error dialog (as it should), and the selection list also shows a list of values (not Err:504).

Based on that, I declare this bug fixed.
Comment 6 sophie 2010-11-01 05:48:20 UTC
Verified in the 10_10_28_Cedric.rpm build - Closing - Sophie
Comment 7 rufuswentpostal 2010-12-01 15:57:10 UTC
Still having same issue as previous bug reporters. Downloaded the sample document and get same error "Err:504". Documents work fine in OO.o, but not LO.

LibreOffice 3.3.0 
OOO330m9 (Build:1)
libreoffice-build 3.2.99.2
Comment 8 Kohei Yoshida 2010-12-01 16:35:05 UTC
Try either Beta3, or RC1 which is due out soon.
Comment 9 Kohei Yoshida 2010-12-01 16:36:04 UTC
Closing it again.